package org.apache.ws.resource.tool.velocity;

import org.apache.ws.resource.properties.v1_2.ResourceProperties1_2Constants;
import org.apache.ws.resource.properties.v1_2.porttype.GetResourcePropertyPortType;
import org.apache.ws.resource.properties.v1_2.porttype.GetMultipleResourcePropertiesPortType;
import org.apache.ws.resource.properties.v1_2.porttype.SetResourcePropertiesPortType;
import org.apache.ws.resource.properties.v1_2.porttype.QueryResourcePropertiesPortType;
import org.apache.ws.resource.lifetime.v1_2.ResourceLifetime1_2Constants;
import org.apache.ws.resource.lifetime.v1_2.porttype.ScheduledResourceTerminationPortType;
import org.apache.ws.resource.lifetime.v1_2.porttype.ImmediateResourceTerminationPortType;

import javax.xml.namespace.QName;


/**
 * @author Sal Campana
 */
public class ConstQNames
{
    public QName multipleResource = GetMultipleResourcePropertiesPortType.NAME;
    public QName resource = GetResourcePropertyPortType.NAME;
    public QName queryResource = QueryResourcePropertiesPortType.NAME;
    public QName setResource = SetResourcePropertiesPortType.NAME;
    public QName scheduledResourceTermination = ScheduledResourceTerminationPortType.NAME;
    public QName immediateResourceTermination = ImmediateResourceTerminationPortType.NAME;

    public QName getImmediateResourceTermination()
    {
        return immediateResourceTermination;
    }

    public QName getScheduledResourceTermination()
    {
        return scheduledResourceTermination;
    }

    public QName getMultipleResource()
    {
        return multipleResource;
    }

    public QName getResource()
    {
        return resource;
    }

    public QName getQueryResource()
    {
        return queryResource;
    }

    public QName getSetResource()
    {
        return setResource;
    }
   
}
